Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

address
string
required

Stellar address of the vault contract

Example:

"CBNKCU3HGFKHFOF7JTGXQCNKE3G3DXS5RDBQUKQMIIECYKXPIOUGB2S3"

Query Parameters

network
enum<string>
required

Stellar network to execute the transaction on (testnet or mainnet)

Available options:
testnet,
mainnet

Body

application/json

Lock fees parameters. This operation may include the new fee basis points to set.

caller
string
required

Stellar address of the user initiating the lock fees operation. Must be a valid Stellar public key with Manager role.

Example:

"GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"

new_fee_bps
number

New fee basis points (bps) to set. If not provided, fees will not be changed.

Required range: 0 <= x <= 10000
Example:

100

Response

Transaction prepared successfully

xdr
string

Base64 encoded transaction XDR ready for signing

simulationResponse
object

Simulation result of the transaction

functionName
string

Function name for the operation

params
object

Parameters used for the operation